<?php function codended_handswidget_customization_page(  ) { 
global $wpdb;
$table_name = $wpdb->prefix . 'ce_handswidget_leagues';
$leagues = $wpdb->get_results ( "SELECT DISTINCT LeagueName , LeagueId FROM $table_name");
?>
	<form method='post' id="handswidget-customizer" action="options.php">
		<?php wp_nonce_field('handswidget-customizeoptions'); ?>
		<?php settings_fields( 'handsw-ce-customizesetting' ); ?>
		<h2>Customization Settings for Handball Widgets</h2>
		
			<select name="handscustomizeSetting" id="handscustomizeSetting">
				<option <?php echo (get_option('handscustomizeSetting')==1)?('selected'):(''); ?> value="1">Row Alternate Colors</option>
				<option <?php echo (get_option('handscustomizeSetting')==2)?('selected'):(''); ?> value="2">Columns Alternate Colors</option>
				<option <?php echo (get_option('handscustomizeSetting')==3)?('selected'):(''); ?> value="3">First Row/Column Colors</option>
			</select>
			<div id="rowAlternateColorHand">
				<br>
				<label>Even Row
					<input value="<?php echo get_option('handsraeven'); ?>" type="color" name="handsraeven">
				</label><br><br>
				<label>Odd Row
					<input value="<?php echo get_option('handsraodd'); ?>" type="color" name="handsraodd">
				</label>
			</div>
			<div id="columnAlternateColorHand">
				<br>
				<label>Even Row
					<input value="<?php echo get_option('handscaeven'); ?>" type="color" name="handscaeven">
				</label><br><br>
				<label>Odd Row
					<input value="<?php echo get_option('handscaodd'); ?>" type="color" name="handscaodd">
				</label>
			</div>
			<div id="fcfrHand">
				<br>
				<label>First Column
					<input value="<?php echo get_option('handsfcfrcolumn'); ?>" type="color" name="handsfcfrcolumn">
				</label><br><br>
				<label>First Row&nbsp; &nbsp; &nbsp;
					<input value="<?php echo get_option('handsfcfrrow'); ?>" type="color" name="handsfcfrrow">
				</label><br><br>

			</div><br><br>
			<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		<h2>Preview (hit Save above for preview load)</h2>
<style type="text/css">
<?php if(get_option('handscustomizeSetting')==1){ ?>
#handswidgetPreview tr:nth-child(odd){background-color:<?php echo get_option('handsraodd'); ?>;}
#handswidgetPreview tr:nth-child(even){background-color:<?php echo get_option('handsraeven'); ?>;}
<?php }?>

<?php if(get_option('handscustomizeSetting')==2){ ?>
#handswidgetPreview td:nth-child(odd){background-color:<?php echo get_option('handscaodd'); ?>;}
#handswidgetPreview td:nth-child(even){background-color:<?php echo get_option('handscaeven'); ?>;}
<?php }?>

<?php if(get_option('handscustomizeSetting')==3){ ?>
#handswidgetPreview td:nth-child(1){background-color:<?php echo get_option('handsfcfrcolumn'); ?>;}
#handswidgetPreview th { background-color: <?php echo get_option('handsfcfrrow'); ?>;} 
<?php }?>
</style>
<div id="handswidgetPreview"><a href="https://www.handballstats247.com/competitions/austria/hla/" target="_blank">HLA 2022/2023 Regular Season</a><br><br><table width="100%" border="1"><tbody><tr><th colspan="2"></th><th>Games Played</th><th>Won</th><th>Draw</th><th>Lost</th><th>Points</th><th>Goals Scored</th><th>Goals Against</th><th>Recent Form</th></tr><tr><td width="3%">1</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/krems">Krems</a></td><td width="7%"><center>18</center></td><td width="7%"><center>15</center></td><td width="7%"><center>2</center></td><td width="7%"><center>1</center></td><td width="7%"><center>32</center></td><td width="7%"><center>544</center></td><td width="7%"><center>465</center></td><td><center><font color="green">W</font><font color="green">W</font><font color="green">W</font>EE</center></td></tr><tr><td width="3%">2</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/west-wien">West Wien</a></td><td width="7%"><center>18</center></td><td width="7%"><center>14</center></td><td width="7%"><center>2</center></td><td width="7%"><center>2</center></td><td width="7%"><center>30</center></td><td width="7%"><center>557</center></td><td width="7%"><center>493</center></td><td><center><font color="green">W</font><font color="green">W</font><font color="green">W</font><font color="green">W</font>E</center></td></tr><tr><td width="3%">3</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/aon-fivers">Aon Fivers</a></td><td width="7%"><center>18</center></td><td width="7%"><center>13</center></td><td width="7%"><center>0</center></td><td width="7%"><center>5</center></td><td width="7%"><center>26</center></td><td width="7%"><center>568</center></td><td width="7%"><center>526</center></td><td><center><font color="green">W</font><font color="green">W</font><font color="red">L</font><font color="green">W</font><font color="red">L</font></center></td></tr><tr><td width="3%">4</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/alpla-hard">Alpla Hard</a></td><td width="7%"><center>18</center></td><td width="7%"><center>11</center></td><td width="7%"><center>2</center></td><td width="7%"><center>5</center></td><td width="7%"><center>24</center></td><td width="7%"><center>532</center></td><td width="7%"><center>476</center></td><td><center><font color="green">W</font><font color="red">L</font><font color="red">L</font><font color="red">L</font>E</center></td></tr><tr><td width="3%">5</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/ferlach">Ferlach</a></td><td width="7%"><center>18</center></td><td width="7%"><center>11</center></td><td width="7%"><center>0</center></td><td width="7%"><center>7</center></td><td width="7%"><center>22</center></td><td width="7%"><center>512</center></td><td width="7%"><center>518</center></td><td><center><font color="red">L</font><font color="red">L</font><font color="green">W</font><font color="green">W</font><font color="green">W</font></center></td></tr><tr><td width="3%">6</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/linz">Linz</a></td><td width="7%"><center>18</center></td><td width="7%"><center>9</center></td><td width="7%"><center>1</center></td><td width="7%"><center>8</center></td><td width="7%"><center>19</center></td><td width="7%"><center>548</center></td><td width="7%"><center>519</center></td><td><center><font color="green">W</font><font color="red">L</font><font color="green">W</font><font color="green">W</font><font color="green">W</font></center></td></tr><tr><td width="3%">7</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/bregenz">Bregenz</a></td><td width="7%"><center>18</center></td><td width="7%"><center>9</center></td><td width="7%"><center>0</center></td><td width="7%"><center>9</center></td><td width="7%"><center>18</center></td><td width="7%"><center>540</center></td><td width="7%"><center>518</center></td><td><center><font color="green">W</font><font color="red">L</font><font color="red">L</font><font color="red">L</font><font color="green">W</font></center></td></tr><tr><td width="3%">8</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/fuchse">Fuchse</a></td><td width="7%"><center>18</center></td><td width="7%"><center>6</center></td><td width="7%"><center>2</center></td><td width="7%"><center>10</center></td><td width="7%"><center>14</center></td><td width="7%"><center>510</center></td><td width="7%"><center>535</center></td><td><center><font color="green">W</font><font color="green">W</font><font color="red">L</font><font color="green">W</font>E</center></td></tr><tr><td width="3%">9</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/hsg-graz">HSG Graz</a></td><td width="7%"><center>18</center></td><td width="7%"><center>5</center></td><td width="7%"><center>1</center></td><td width="7%"><center>12</center></td><td width="7%"><center>11</center></td><td width="7%"><center>534</center></td><td width="7%"><center>576</center></td><td><center><font color="red">L</font><font color="red">L</font><font color="red">L</font><font color="red">L</font><font color="red">L</font></center></td></tr><tr><td width="3%">10</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/handball-tirol">Handball Tirol</a></td><td width="7%"><center>18</center></td><td width="7%"><center>4</center></td><td width="7%"><center>1</center></td><td width="7%"><center>13</center></td><td width="7%"><center>9</center></td><td width="7%"><center>493</center></td><td width="7%"><center>536</center></td><td><center><font color="green">W</font><font color="red">L</font><font color="green">W</font><font color="red">L</font>E</center></td></tr><tr><td width="3%">11</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/voslauer">Voslauer</a></td><td width="7%"><center>18</center></td><td width="7%"><center>2</center></td><td width="7%"><center>3</center></td><td width="7%"><center>13</center></td><td width="7%"><center>7</center></td><td width="7%"><center>489</center></td><td width="7%"><center>566</center></td><td><center><font color="red">L</font><font color="green">W</font><font color="green">W</font><font color="red">L</font><font color="red">L</font></center></td></tr><tr><td width="3%">12</td><td width="27%"><a target="_blank" href="https://www.handballstats247.com/teams/austria/barnbach-k">Barnbach/K.</a></td><td width="7%"><center>18</center></td><td width="7%"><center>1</center></td><td width="7%"><center>2</center></td><td width="7%"><center>15</center></td><td width="7%"><center>4</center></td><td width="7%"><center>434</center></td><td width="7%"><center>533</center></td><td><center><font color="red">L</font><font color="red">L</font><font color="red">L</font><font color="red">L</font><font color="red">L</font></center></td></tr></tbody></table><br><hr></div>

		<p><strong>Advice:</strong> We do not recommend the implementation of multiple such snippets in a single article as
it may slow down the load of your page given there will be more data to be transmitted.</p>
		<p><i>Note: Data provided by HandballStats247.com. More widget possibilities like team stats can be generated on the official website in the Widgets Page.</i></p>
		
	</form>
	<?php

}

?>