<?php function codended_handswidget_options_page(  ) { 
global $wpdb;
$table_name = $wpdb->prefix . 'ce_handswidget_leagues';
$leagues = $wpdb->get_results ( "SELECT DISTINCT LeagueName , LeagueId,country,isCup FROM $table_name");
?>
	<form method='post' id="handswidget-generator">

		<h2>Generate Handball Widget Shortcode</h2>

			<select name="handswidget_language" id="handswidgetlanguage">
				<option value="0">Select Language</option>
				<option value="1">English</option>
				<option value="2">Romanian</option>
				<option value="3">Spanish</option>
				<option value="4">German</option>
				<option value="5">French</option>
				<option value="6">Dutch</option>
				<option value="7">Italian</option>
				<option value="8">Swedish</option>
				<option value="9">Norwegian</option>
				<option value="10">Danish</option>
				<option value="11">Finnish</option>
				<option value="12">Portuguese</option>
				<option value="13">Polish</option>
				<option value="14">Hungarian</option>
				<option value="15">Czech</option>
				<option value="16">Estonian</option>
			</select>
	
			<select name="handswidget_data_type" id="handswidgetdatatype">
				<option value="0">Select Data Type</option>
				<option value="1">Rankings</option>
				<option value="2">Match Results</option>
			</select>

			<select name="handswidget_tournament" id="handswidgettournament">
				<option value="0">Select Tournament</option>
				<?php foreach($leagues as $league){

					echo '<option class="isCup'.$league->isCup.'" value="'.$league->LeagueId.'">'.$league->country.' , '.$league->LeagueName.'</option>';
				 }?>
			</select>	
			<select name="handswidget_stage" id="handswidgetstage" style="display: none;">
				<option value="0">Select Stage</option>
			</select>
			<select name="handswidget_group" id="handswidgetgroup" style="display: none;">
				<option value="0">Select Group</option>
			</select>

		<h2>Use Shortcode</h2>
		<code id="ShortcodePrev">Please Select The Required Fields</code>
		<h2>Preview</h2>
		<div id="handswidgetPreviewDemo"></div>

		<p><strong>Advice:</strong> We do not recommend the implementation of multiple such snippets in a single article as
it may slow down the load of your page given there will be more data to be transmitted.</p>
		<p><i>Note: Data provided by HandballStats247.com. More widget possibilities like team stats can be generated on the official website in the Widgets Page.</i></p>
		
	</form>
	<?php

}
?>